org.apache.lucene.index

## Class PositionBasedTermVectorMapper.TVPositionInfo

- java.lang.Object
- - org.apache.lucene.index.PositionBasedTermVectorMapper.TVPositionInfo

- Enclosing class:
    PositionBasedTermVectorMapper

      public static class PositionBasedTermVectorMapper.TVPositionInfo
      extends java.lang.Object

  Container for a term at a position

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TVPositionInfo(int position, boolean storeOffsets)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getOffsets()` Parallel list (to `getTerms()`) of TermVectorOffsetInfo objects.
    `int` | `getPosition()`
    `java.util.List` | `getTerms()` Note, there may be multiple terms at the same position

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TVPositionInfo

          public TVPositionInfo(int position,
                                boolean storeOffsets)

  - ### Method Detail

    - #### getPosition

          public int getPosition()

      Returns:
        The position of the term

    - #### getTerms

          public java.util.List getTerms()

      Note, there may be multiple terms at the same position
      Returns:
        A List of Strings

    - #### getOffsets

          public java.util.List getOffsets()

      Parallel list (to `getTerms()`) of TermVectorOffsetInfo objects. There may be multiple entries since there may be multiple terms at a position
      Returns:
        A List of TermVectorOffsetInfo objects, if offsets are store.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.